Page MenuHomePhabricator

Switch Translate's yaml library to symfony/yaml
Open, Needs TriagePublic

Description

spyc (https://github.com/mustangostang/spyc) is undermaintained and IMO has lower code quality than the leading alternative these days: symfony/yaml (https://github.com/symfony/yaml).

One note is that symfony implements a "subset" of YAML 1.2, while spyc is YAML 1.0 - I don't know if that affects Translate's usage.

Event Timeline

Legoktm created this task.Feb 18 2020, 5:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 5:43 AM

Syck is just bundled fallback. phpyaml is recommended. symfony/yaml is not easy to bundle. See also T235403: Unable to update translatewiki.net: romaricdrigon/metayaml 1.1 requires symfony/yaml ~2.3|~3.0